<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>globaldefines.h</name>
    <path>/home/holzi/projects/CreArts/audioeditor/src/</path>
    <filename>globaldefines_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>DEFAULT_SAMPLERATE</name>
      <anchorfile>globaldefines_8h.html</anchorfile>
      <anchor>6510bb45637e5746c598be951d39653f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DEFAULT_BUFSIZE</name>
      <anchorfile>globaldefines_8h.html</anchorfile>
      <anchor>79c48d35afc7873614502689e1bf9b65</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>long</type>
      <name>Position</name>
      <anchorfile>globaldefines_8h.html</anchorfile>
      <anchor>dc3aa645d4779351c400a154de74ce43</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>main.cpp</name>
    <path>/home/holzi/projects/CreArts/audioeditor/src/</path>
    <filename>main_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>main_8cpp.html</anchorfile>
      <anchor>0ddf1224851353fc92bfbff6f499fa97</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>threadutilities.h</name>
    <path>/home/holzi/projects/CreArts/audioeditor/src/</path>
    <filename>threadutilities_8h</filename>
    <includes id="globaldefines_8h" name="globaldefines.h" local="yes" imported="no">globaldefines.h</includes>
    <class kind="class">MutexPos</class>
    <class kind="class">FuncList</class>
  </compound>
  <compound kind="class">
    <name>AudioCtl</name>
    <filename>classAudioCtl.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>play</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>3408f0fe1fe65aa96ce58b6f556d4a1f</anchor>
      <arglist>(Position cursor=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>63afcfde72b95bf71c5ba7950749114a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>d396521ecfa58a185b1bfa120fb132cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>registerTrack</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>a5b22450379aa808534881207fc2b55a</anchor>
      <arglist>(PortAudioCallback *callback)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>registerMasterFX</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>5abd190d6c35f38fc6f6322c02237ede</anchor>
      <arglist>(PortAudioCallback *callback)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>positionChanged</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>bf11d317d6b8c046cd1e1fa04ba96f3f</anchor>
      <arglist>(Position new_position)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>openPAStream</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>a142a36d5ab082fd8b0523ec9f826225</anchor>
      <arglist>(int samplerate=DEFAULT_SAMPLERATE, int bufsize=DEFAULT_BUFSIZE)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>closePAStream</name>
      <anchorfile>classAudioCtl.html</anchorfile>
      <anchor>fb469f52b18aeacb1c7e0c77d58ff007</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FuncList</name>
    <filename>classFuncList.html</filename>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchorfile>classFuncList.html</anchorfile>
      <anchor>b798c3310926c1fcfcbcabaf5c55c61f</anchor>
      <arglist>(PortAudioCallback *callback)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAll</name>
      <anchorfile>classFuncList.html</anchorfile>
      <anchor>80c8e0c7cbb57ce525e262a6aad2c29c</anchor>
      <arglist>(PortAudioCallback *callback)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>callAll</name>
      <anchorfile>classFuncList.html</anchorfile>
      <anchor>b7314e079947090d4601a977c9fe0467</anchor>
      <arglist>(void *inputBuffer, void *outputBuffer, unsigned long framesPerBuffer, PaTimestamp outTime, void *userData)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QReadWriteLock</type>
      <name>m_lock</name>
      <anchorfile>classFuncList.html</anchorfile>
      <anchor>4d4aa9709cf7c04b5df6c8dd55221eca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QList&lt; PortAudioCallback * &gt;</type>
      <name>m_list</name>
      <anchorfile>classFuncList.html</anchorfile>
      <anchor>1062c620e635e06f8bae4b5018767938</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>PortAudioCallback *</type>
      <name>m_callback</name>
      <anchorfile>classFuncList.html</anchorfile>
      <anchor>7aac4258945a1124121f57ccd9abe51b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainApplication</name>
    <filename>classMainApplication.html</filename>
    <member kind="function">
      <type></type>
      <name>MainApplication</name>
      <anchorfile>classMainApplication.html</anchorfile>
      <anchor>ed4b828fb966517ec2c8069de683bfc7</anchor>
      <arglist>(int argc, char **argv)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>closeEvent</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>4e20a4a065fbb0e4d3532a45a0a91425</anchor>
      <arglist>(QCloseEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MutexPos</name>
    <filename>classMutexPos.html</filename>
    <member kind="function">
      <type>Position</type>
      <name>get</name>
      <anchorfile>classMutexPos.html</anchorfile>
      <anchor>60cee07b9de05659667d0d07ea342231</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set</name>
      <anchorfile>classMutexPos.html</anchorfile>
      <anchor>2841be834f8a5ad2e544c2c3d77369be</anchor>
      <arglist>(Position pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classMutexPos.html</anchorfile>
      <anchor>10a0ae718d59bdc0e782d85d8b6ee5ee</anchor>
      <arglist>(Position nr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMutex</type>
      <name>m_mutex</name>
      <anchorfile>classMutexPos.html</anchorfile>
      <anchor>07e83cb8e1996dd264c5499ec90c3b21</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Position</type>
      <name>m_pos</name>
      <anchorfile>classMutexPos.html</anchorfile>
      <anchor>8ff6878a868f8f03d719de2404fc12db</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Soundfile</name>
    <filename>classSoundfile.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>3e58af8cdd703d1e66d7da08d33bcbb1</anchor>
      <arglist>(Position new_pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>d1c8f4c16a316ca82ab28b4b109d6709</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>6c2dcf8896fd5b7687a6f2cf610812b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>process</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>79dda66a5bc49e83ddd5854e249002c5</anchor>
      <arglist>(unsigned long size, float *output)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SNDFILE *</type>
      <name>m_sndfile</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>4486f6610ecbe6662641e1081d10e263</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QReadWriteLock</type>
      <name>m_sndfile_lock</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>8574b4fdb034398d358b9600e57f98a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SF_INFO</type>
      <name>m_info</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>a0e069c9ff9e67e0fbaa35f16228f71a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QReadWriteLock</type>
      <name>m_info_lock</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>a26aa762322174edf6f41deb555fbff7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>AudioCtl *</type>
      <name>m_audioctl</name>
      <anchorfile>classSoundfile.html</anchorfile>
      <anchor>4497949ae9a9924556c5fb6b1b7218eb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Track</name>
    <filename>classTrack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>process</name>
      <anchorfile>classTrack.html</anchorfile>
      <anchor>51530eb41b6630cd7336561206cb627d</anchor>
      <arglist>(unsigned long size, float *output)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Soundfile *</type>
      <name>m_soundfile</name>
      <anchorfile>classTrack.html</anchorfile>
      <anchor>8806a685079f2a1722eec7eddac01fe7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TrackManager</name>
    <filename>classTrackManager.html</filename>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>appendTrack</name>
      <anchorfile>classTrackManager.html</anchorfile>
      <anchor>ff84646765348d0ed94087e4c0736848</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static QList&lt; Track * &gt;</type>
      <name>m_tracklist</name>
      <anchorfile>classTrackManager.html</anchorfile>
      <anchor>69d154ef3db24c2127c423f6a1dfee1b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static QReadWriteLock</type>
      <name>m_track_lock</name>
      <anchorfile>classTrackManager.html</anchorfile>
      <anchor>a21f43f911a2b2d8999c71c78691a895</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static AudioCtl *</type>
      <name>m_audioctl</name>
      <anchorfile>classTrackManager.html</anchorfile>
      <anchor>8d752b26016cc268a0138566bbb492d5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/home/holzi/projects/CreArts/audioeditor/</name>
    <path>/home/holzi/projects/CreArts/audioeditor/</path>
    <filename>dir_2427fa41e291fffd66d4d263e6e9f5a6.html</filename>
    <dir>/home/holzi/projects/CreArts/audioeditor/src/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/holzi/projects/CreArts/</name>
    <path>/home/holzi/projects/CreArts/</path>
    <filename>dir_0fa0f362085655e518a58d4a457b0588.html</filename>
    <dir>/home/holzi/projects/CreArts/audioeditor/</dir>
  </compound>
  <compound kind="dir">
    <name>/home/holzi/projects/CreArts/audioeditor/src/moc/</name>
    <path>/home/holzi/projects/CreArts/audioeditor/src/moc/</path>
    <filename>dir_79077176bf27ad7511a5f08e85deff3a.html</filename>
    <file>moc_audioctl.cpp</file>
    <file>moc_mainwindow.cpp</file>
    <file>moc_soundfile.cpp</file>
    <file>moc_track.cpp</file>
    <file>moc_trackmanager.cpp</file>
  </compound>
  <compound kind="dir">
    <name>/home/holzi/projects/CreArts/audioeditor/src/old_files/</name>
    <path>/home/holzi/projects/CreArts/audioeditor/src/old_files/</path>
    <filename>dir_8bb2f453105ab0e60584924e6d4626df.html</filename>
    <file>mainapplication.cpp</file>
    <file>mainapplication.h</file>
  </compound>
  <compound kind="dir">
    <name>/home/holzi/projects/CreArts/audioeditor/src/</name>
    <path>/home/holzi/projects/CreArts/audioeditor/src/</path>
    <filename>dir_52206de01140533e2e4b893f5d171bd5.html</filename>
    <dir>/home/holzi/projects/CreArts/audioeditor/src/moc/</dir>
    <dir>/home/holzi/projects/CreArts/audioeditor/src/old_files/</dir>
    <file>audioctl.cpp</file>
    <file>audioctl.h</file>
    <file>globaldefines.h</file>
    <file>main.cpp</file>
    <file>mainwindow.cpp</file>
    <file>mainwindow.h</file>
    <file>qrc_images.cpp</file>
    <file>soundfile.cpp</file>
    <file>soundfile.h</file>
    <file>threadutilities.h</file>
    <file>track.cpp</file>
    <file>track.h</file>
    <file>trackmanager.cpp</file>
    <file>trackmanager.h</file>
  </compound>
</tagfile>
