/***************************************************************************
 *
 *   ::::_audioeditor_::::
 *   a simple multitrack audio editor
 *
 *   globaldefines
 *   header file
 *
 *   begin                : Jan 2006
 *   copyright            : (C) 2006 by Georg Holzmann
 *   email                : grh@mur.at
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

#ifndef GLOBALDEFINES_H__
#define GLOBALDEFINES_H__

/*! 
 * \file globaldefines.h
 *
 * some global defines for the whole application
 */

/*! default sample rate */
#define DEFAULT_SAMPLERATE 44100

/*! default audio buffer size */
#define DEFAULT_BUFSIZE    128

/*!
 * a position in a track (in samples)
 * (unsigned long is 4byte, so it is enough to manage
 * ca. 27 hours @ 44100 Hz samplerate)
 */
typedef long Position;

#endif // GLOBALDEFINES_H__
