####################################################
# ::::_audioeditor_::::
# project file
# uses the qmake build system
# (c) 2005, Georg Holzmann, <grh@mur.at>
#
# ATTENTION: 
# don't let KDevelop3.x generate the project files,
# it cannot handle Qt4 !!!
####################################################

TARGET = audioeditor

# release or debug build
#CONFIG += qt debug

# external libraries:
##LIBS += -L/path/to/libs -R/path/to/libs/if/they/are/dynamic
##-Letc -Retc -lfoo -lbar -letc
unix:LIBS += -lportaudio -lsndfile
#win32:LIBS += c:\mylibs\math.lib

# additional defines:
#DEFINES += 

####################################################

HEADERS += mainwindow.h \
           audioctl.h \
           threadutilities.h \
           globaldefines.h \
           trackmanager.h \
           track.h \
           soundfile.h
SOURCES += main.cpp \
           mainwindow.cpp \
           audioctl.cpp \
           trackmanager.cpp \
           track.cpp \
           soundfile.cpp

# resource files for images
RESOURCES = images.qrc

# directory of the executeable, moc and objects
DESTDIR = ../bin
MOC_DIR = moc
OBJECTS_DIR = obj

# build an application
TEMPLATE = app

####################################################
